# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "lukaj"
version = "0.1.1"
description = "Interactive diff tool for SVG images"
homepage = "https://github.com/adamws/lukaj"
readme = "README.md"
keywords = [
    "diff",
    "svg",
    "graphics",
    "images",
]
categories = [
    "graphics",
    "multimedia::images",
]
license = "LGPL-3.0-or-later"
repository = "https://github.com/adamws/lukaj"

[dependencies.cairo-rs]
version = "0.18.2"
optional = true

[dependencies.clap]
version = "4.4.6"
features = ["derive"]

[dependencies.env_logger]
version = "0.10.0"

[dependencies.librsvg]
version = "2.57.0"
optional = true

[dependencies.log]
version = "0.4.20"

[dependencies.resvg]
version = "0.36.0"
optional = true

[dependencies.sdl2]
version = "0.35.2"

[dependencies.tiny-skia]
version = "0.11.2"
optional = true

[dependencies.usvg]
version = "0.36.0"
optional = true

[dev-dependencies.dssim-core]
version = "3.2.7"

[dev-dependencies.image]
version = "0.24.7"

[dev-dependencies.rgb]
version = "0.8.37"

[dev-dependencies.rstest]
version = "0.18.2"

[features]
default = ["use-rsvg"]
use-rsvg = [
    "cairo-rs",
    "librsvg",
]
use-usvg = [
    "resvg",
    "tiny-skia",
    "usvg",
]
